For the complete documentation index, see llms.txt. This page is also available as Markdown.

Job

Currently available jobs

Get all jobs

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRequired

ID of the job

slugstringRequired

Title in url format

titlestringRequired

Job title

headerImagestringRequired

Image to display as the header for the job details page

tileImagestringRequired

Image to use on the over view page for this job

introTextstringRequired

Job introductory text

textstringRequired

Job description text

intakeDateinteger · integerRequired

Unix timestamp of the (final) intake date

get/v3/jobs
GET /v3/jobs HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "slug": "text",
    "title": "text",
    "headerImage": "text",
    "tileImage": "text",
    "introText": "text",
    "text": "text",
    "intakeDate": 1
  }
]

Get the details of a job

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
jobIdintegerRequired

The Id of the jobs you are requesting

Responses
200

OK

application/json
idinteger · integerRequired

ID of the job

slugstringRequired

Title in url format

titlestringRequired

Job title

headerImagestringRequired

Image to display as the header for the job details page

tileImagestringRequired

Image to use on the over view page for this job

introTextstringRequired

Job introductory text

textstringRequired

Job description text

intakeDateinteger · integerRequired

Unix timestamp of the (final) intake date

get/v3/jobs/{jobId}
GET /v3/jobs/{jobId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "slug": "text",
    "title": "text",
    "headerImage": "text",
    "tileImage": "text",
    "introText": "text",
    "text": "text",
    "intakeDate": 1
  }
]

Solicit for a job

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
jobIdintegerRequired

The Id of the jobs you are soliciting for

Responses
200

OK

No content

post/v3/jobs/{jobId}/solicit
POST /v3/jobs/{jobId}/solicit HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Add files to the solicitation

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
jobIdintegerRequired

The Id of the jobs you are soliciting for

solicitIdintegerRequired

The Id of the solicitation you are uploading files for

Responses
200

OK

No content

post/v3/jobs/{jobId}/solicit/{solicitId}/files
POST /v3/jobs/{jobId}/solicit/{solicitId}/files HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Get user remote information

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
ipAddressFromServerVariablestringRequired

The ip address for which you wish to fetch the data

ipAddressFromRequeststringRequired

The ip address for which you wish to fetch the data

xForwardForstringRead-onlyRequired

The xForwardFor for which you wish to fetch the data

xForwardHoststringRead-onlyRequired

The xForwardHost for which you wish to fetch the data

userAgentstringRequired

The user agent for which you wish to fetch the data

get/v3/user/getUserRemoteInfo
GET /v3/user/getUserRemoteInfo HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
{
  "ipAddressFromServerVariable": "text",
  "ipAddressFromRequest": "text",
  "xForwardFor": "text",
  "xForwardHost": "text",
  "userAgent": "text"
}

Last updated

Was this helpful?